program clt

  implicit none

  integer,parameter :: n = 100000	! Anzahl ZZ
  integer,parameter :: m = 10		! Anzahl Summanden/ZZ
  real,dimension(n) :: z
  integer,dimension(12) :: seed
  integer :: i,j,k
  real :: y

  do i=1,12
    seed(i) = 1234 + i*3
  end do
  call random_seed(put=seed)
  
  z = 0.0
  
  do i=1,n
  
    do j=1,m
      call random_number(y)
      z(i) = z(i) + y-0.5
    end do
    z(i) = z(i) / sqrt(real(m))
    
  end do
  
  open(8,file='out_m10.dat',status='replace')
  do i=1,n
    write(8,*) z(i)
  end do
  close(8)

end program